import { Application } from "express";
import { IMockProject } from "../../model/MockProject";
import { IDataSetsSelector } from "./requests/DataSetsSelector";
export declare type CatalogType = "metric" | "fact" | "attribute";
export interface ILoadCatalogRequest {
    catalogRequest: {
        types: CatalogType[];
        filter?: string;
        requiredDataSets?: IDataSetsSelector;
        bucketItems?: string[];
        includeObjectsWithTags?: string[];
        excludeObjectsWithTags?: string[];
        paging: {
            offset: number;
            limit: number;
        };
    };
}
export declare const catalog: {
    register(app: Application, project: IMockProject): Application;
};
