"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
exports.__esModule = true;
exports.identifiers = void 0;
// (C) 2007-2019 GoodData Corporation
var lodash_1 = require("lodash");
var HttpStatusCodes = require("http-status-codes");
var MockProject_1 = require("../../model/MockProject");
function isIdentifierToUriRequest(request) {
    return !!request.identifierToUri;
}
function filterMetadataObjectsByIdentifier(objects, identifiers) {
    var lookup = identifiers.reduce(function (hash, identifier) {
        var _a;
        return (__assign(__assign({}, hash), (_a = {}, _a[identifier] = true, _a)));
    }, {});
    return objects.filter(function (object) { return lodash_1.has(lookup, object.meta.identifier); });
}
function filterMetadataObjectsByUri(objects, uris) {
    var lookup = uris.reduce(function (hash, uri) {
        var _a;
        return (__assign(__assign({}, hash), (_a = {}, _a[uri] = true, _a)));
    }, {});
    return objects.filter(function (object) { return lodash_1.has(lookup, object.meta.uri); });
}
function createPair(object) {
    return {
        identifier: object.meta.identifier,
        uri: object.meta.uri
    };
}
exports.identifiers = {
    register: function (app, project) {
        app.post("/gdc/md/" + project.project.meta.identifier + "/identifiers", function (req, res) {
            var request = req.body;
            var objects = __spreadArrays(MockProject_1.getVisualizationObjects(project), MockProject_1.getAttributes(project), MockProject_1.getAttributeDisplayForms(project), MockProject_1.getMetrics(project), MockProject_1.getFacts(project));
            if (isIdentifierToUriRequest(request)) {
                var body = {
                    identifiers: filterMetadataObjectsByIdentifier(objects, request.identifierToUri).map(createPair)
                };
                res.status(HttpStatusCodes.OK).json(body);
            }
            else {
                var body = {
                    identifiers: filterMetadataObjectsByUri(objects, request.uriToIdentifier).map(createPair)
                };
                res.status(HttpStatusCodes.OK).json(body);
            }
        });
        return app;
    }
};
//# sourceMappingURL=identifiers.js.map