"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
exports.__esModule = true;
exports.metadataObject = void 0;
// (C) 2007-2019 GoodData Corporation
var es6_promise_1 = require("es6-promise");
var HttpStatusCodes = require("http-status-codes");
var MockProject_1 = require("../../model/MockProject");
var metadataObjects_1 = require("../helpers/metadataObjects");
function convertDateAttributeToAttribute(dateAttribute) {
    return {
        content: {
            displayForms: dateAttribute.displayForms
        },
        meta: dateAttribute.meta
    };
}
function getMetadataObjects(project) {
    return __spreadArrays(MockProject_1.getAttributes(project), MockProject_1.getDateAttributes(project).map(convertDateAttributeToAttribute), MockProject_1.getMetrics(project), MockProject_1.getFacts(project), MockProject_1.getDateDataSets(project), MockProject_1.getAnalyticalDashboards(project), MockProject_1.getFilterContexts(project), MockProject_1.getVisualizationObjects(project), MockProject_1.getVisualizationClasses(project), MockProject_1.getAttributeDisplayForms(project), MockProject_1.getDateAttributeDisplayForms(project), [
        MockProject_1.getDateFilterConfig(project),
    ]);
}
function getMetadataObject(project, id) {
    var metadataObjects = getMetadataObjects(project);
    var metadataObject = metadataObjects.find(function (obj) { return metadataObjects_1.getIdentifier(obj) === id; });
    return metadataObject
        ? es6_promise_1.Promise.resolve(metadataObjects_1.getWrappedMetadataObject(metadataObject))
        : es6_promise_1.Promise.reject(createError(id));
}
function createError(id) {
    return {
        error: {
            parameters: [id],
            requestId: "eZ0emrTLhskSSpcZ:k5z86eamalfb20lu",
            component: "Resource::Obj::Service",
            errorClass: "GDC::Exception::NotFound",
            message: "Object ID %s not found"
        }
    };
}
exports.metadataObject = {
    register: function (app, project) {
        app.get("/gdc/md/" + project.project.meta.identifier + "/obj/:id", function (req, res) {
            getMetadataObject(project, req.params.id)
                .then(function (mdObject) { return [HttpStatusCodes.OK, mdObject]; })["catch"](function (error) { return [HttpStatusCodes.NOT_FOUND, error]; })
                .then(function (_a) {
                var status = _a[0], body = _a[1];
                return res.status(status).json(body);
            });
        });
        app["delete"]("/gdc/md/" + project.project.meta.identifier + "/obj/:id", function (req, res) {
            getMetadataObject(project, req.params.id)
                .then(function () { return res.status(204).end(); })["catch"](function (error) { return res.status(HttpStatusCodes.NOT_FOUND).json(error); });
        });
        return app;
    }
};
//# sourceMappingURL=metadataObject.js.map