"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
exports.__esModule = true;
exports.metadataObjects = void 0;
var filtering_1 = require("../helpers/filtering");
var HttpStatusCodes = require("http-status-codes");
var MockProject_1 = require("../../model/MockProject");
var ValidationError_1 = require("../ValidationError");
var metadataObjects_1 = require("../helpers/metadataObjects");
function getResponseBody(uris, project) {
    var metadataObjects = __spreadArrays(project.visualizationObjects, project.visualizationWidgets, project.visualizationClasses, project.kpis, project.filterContexts, MockProject_1.getAttributeDisplayForms(project), MockProject_1.getAttributes(project), MockProject_1.getMetrics(project), MockProject_1.getDateAttributes(project), MockProject_1.getDateAttributeDisplayForms(project));
    if (uris.indexOf(null) !== -1) {
        throw new Error("Structure is not supposed to be NULL and has no value defined.");
    }
    var items = filtering_1.filterByUri(uris, metadataObjects_1.getUri, metadataObjects);
    var wrappedItems = items.map(metadataObjects_1.getWrappedMetadataObject);
    return { objects: { items: wrappedItems } };
}
exports.metadataObjects = {
    register: function (app, project) {
        app.post("/gdc/md/" + project.project.meta.identifier + "/objects/get", function (req, res) {
            var request = req.body;
            try {
                var body = getResponseBody(request.get.items, project);
                res.status(HttpStatusCodes.OK).json(body);
            }
            catch (error) {
                if (error instanceof ValidationError_1.ValidationError) {
                    res.status(HttpStatusCodes.BAD_REQUEST).json(error.getValidationError());
                }
                else {
                    res.status(HttpStatusCodes.INTERNAL_SERVER_ERROR).json(error);
                }
            }
        });
        return app;
    }
};
//# sourceMappingURL=metadataObjects.js.map