import { Application } from "express";
import { IMockProject } from "../../model/MockProject";
import { IUser, ISeparators } from "../../model/User";
import { IError } from "../../model/Error";
export interface IAccountSetting {
    accountSetting: {
        authenticationModes: string[];
        companyName: string;
        country?: string;
        created: string;
        effectiveIpWhitelist?: string;
        email: string;
        firstName: string;
        ipWhitelist?: string;
        language: string;
        lastName: string;
        separators: ISeparators;
        links: {
            self: string;
        };
        login: string;
        phoneNumber?: string;
        position?: string;
        timezone?: string;
        updated?: string;
    };
}
export declare function createAccountSettings(user: IUser): IAccountSetting;
export declare function createError(userId: string): IError;
export declare const CURRENT_USER_PSEUDO_ID = "current";
export declare const profile: {
    register(app: Application, project: IMockProject): Application;
};
