"use strict";
exports.__esModule = true;
exports.getGroups = void 0;
// (C) 2007-2019 GoodData Corporation
var lodash_1 = require("lodash");
var DataSetSelectorTypes_1 = require("../../constants/DataSetSelectorTypes");
var GroupTypes = require("../../constants/GroupTypes");
function getGroups(userSelector, project) {
    var selector = lodash_1.defaults({}, userSelector, {
        type: DataSetSelectorTypes_1.DATASET_SELECTOR_TYPES.PRODUCTION,
        customIdentifiers: []
    });
    if (selector.type === DataSetSelectorTypes_1.DATASET_SELECTOR_TYPES.CUSTOM) {
        return project.groups.filter(function (group) { return lodash_1.includes(selector.customIdentifiers, group.meta.identifier); });
    }
    if (selector.type === DataSetSelectorTypes_1.DATASET_SELECTOR_TYPES.ALL) {
        return project.groups;
    }
    if (selector.type === DataSetSelectorTypes_1.DATASET_SELECTOR_TYPES.PRODUCTION) {
        return project.groups.filter(function (group) { return group.meta.type === GroupTypes.PRODUCTION; });
    }
    var knownTypes = Object.keys(DataSetSelectorTypes_1.DATASET_SELECTOR_TYPES);
    throw new Error("Uknown type '" + selector.type + "'. Possible choices are " + knownTypes.join(", "));
}
exports.getGroups = getGroups;
//# sourceMappingURL=groups.js.map