"use strict";
exports.__esModule = true;
exports.reduceMAQLItems = void 0;
// (C) 2007-2019 GoodData Corporation
// in our URI could be string chars after /obj/
var mdUriRegexp = /\[(\/gdc\/md\/[^\/]+\/obj\/[^\/]+)\]/g;
var elementUriRegexp = /\[(\/gdc\/md\/[^\/]+\/obj\/[^\/]+)\/elements\?id=\d+\]/g;
function reduceMAQLItems(bucketItems) {
    var itemsHash = bucketItems.reduce(function (uriItems, bucketItem) {
        if (bucketItem.startsWith("/gdc/md/")) {
            uriItems[bucketItem] = 1;
        }
        else {
            [mdUriRegexp, elementUriRegexp].forEach(function (regexp) {
                var match = regexp.exec(bucketItem);
                while (match) {
                    uriItems[match[1]] = 1;
                    match = regexp.exec(bucketItem);
                }
            });
        }
        return uriItems;
    }, {});
    return Object.keys(itemsHash);
}
exports.reduceMAQLItems = reduceMAQLItems;
//# sourceMappingURL=maql.js.map