"use strict";
exports.__esModule = true;
exports.csv = void 0;
var lodash_1 = require("lodash");
var HttpStatusCodes = require("http-status-codes");
var routes_1 = require("../../route/routes");
function collectCsvDataSets(project) {
    return project.groups.filter(function (group) { return group.meta.type === "csv"; });
}
function createCsvDataSet(user, group) {
    return {
        dataset: {
            datasetId: group.meta.identifier,
            datasetLoadStatus: "OK",
            loadedRowCount: 1000,
            name: group.meta.identifier,
            firstSuccessfulUpdate: {
                created: "2015-12-18T10:20:35.532Z",
                owner: {
                    fullName: user.firstName + " " + user.lastName,
                    login: user.login,
                    profileUri: routes_1.profileUri(user.identifier)
                }
            }
        }
    };
}
exports.csv = {
    register: function (app, project) {
        app.get("/gdc/dataload/internal/projects/" + project.project.meta.identifier + "/csv/datasets", function (_req, res) {
            var user = lodash_1.first(project.users);
            var body = {
                datasets: {
                    items: collectCsvDataSets(project).map(lodash_1.partial(createCsvDataSet, user))
                }
            };
            res.status(HttpStatusCodes.OK).json(body);
        });
        return app;
    }
};
//# sourceMappingURL=csv.js.map