import { ExecuteAFM as AFM, Execution } from "@gooddata/typings";
import { IAttributeDisplayForm } from "../../../model/AttributeDisplayForm";
import { IMockProject } from "../../../model/MockProject";
import { ElementMap } from "../../../schema/builders/ElementsBuilder";
export interface IDataResultRandomGeneratorParams {
    column: number;
    row: number;
    localIdentifier: AFM.Identifier;
}
/**
 * Applies attribute filters.
 *
 * Note: exposed for testability
 *
 * @param project mock project with element infos
 * @param filters filters to apply
 *
 */
export declare function getFilteredAttributeElements(project: IMockProject, filters: AFM.CompatibilityFilter[]): ElementMap;
export declare function getAttributeHeaderItemsByDisplayForm(project: IMockProject, filters: AFM.CompatibilityFilter[], displayForm: IAttributeDisplayForm, date: Date): Execution.IResultHeaderItem[];
