"use strict";
exports.__esModule = true;
exports.getRandomDataValue = exports.getRandomDataGenerator = exports.createRandomGeneratorsPool = void 0;
// (C) 2007-2019 GoodData Corporation
var seedrandom = require("seedrandom");
function createRandomGeneratorsPool() {
    return {};
}
exports.createRandomGeneratorsPool = createRandomGeneratorsPool;
function createGenerator(generators, seed) {
    var seedRandomInstance = seedrandom(seed);
    generators[seed] = function () { return Math.round(seedRandomInstance() * 1000).toString(); };
}
function getRandomDataGenerator(generators, baseSeed, secondarySeed) {
    if (baseSeed === void 0) { baseSeed = ""; }
    if (secondarySeed === void 0) { secondarySeed = ""; }
    var seed = baseSeed ? baseSeed + secondarySeed : null;
    if (!generators[seed]) {
        createGenerator(generators, seed);
    }
    return generators[seed];
}
exports.getRandomDataGenerator = getRandomDataGenerator;
function getRandomDataValue(generators, baseSeed, secondarySeed) {
    if (baseSeed === void 0) { baseSeed = ""; }
    if (secondarySeed === void 0) { secondarySeed = ""; }
    return getRandomDataGenerator(generators, baseSeed, secondarySeed)();
}
exports.getRandomDataValue = getRandomDataValue;
//# sourceMappingURL=randomGenerator.js.map