import { ExecuteAFM as AFM } from "@gooddata/typings";
import { Headers, RandomData } from "./dataResult";
import { CachedResponse, IErrorResponse } from "../executeAfm";
import IExecution = AFM.IExecution;
export interface IDataResult {
    headerItems: Headers;
    data: RandomData;
}
export declare function isErrorResponse(response: any): response is IErrorResponse;
/**
 * Apply ranking filters from provided execution to provided dataResult generated for the execution.
 * The function filters the row or column measure data and removes attribute headers that no longer
 * have values.
 *
 * @param execution
 * @param dataResult
 * @return filtered execution result if matching filters were found in execution
 */
declare function filterDataResult(execution: IExecution | IErrorResponse, dataResult: IDataResult | IErrorResponse): IDataResult | IErrorResponse;
/**
 * Apply ranking filters from provided execution to provided execution result stored for execution.
 * The function filters the row or column measure data and removes attribute headers that no longer
 * have values. It also updates the paging information.
 *
 * @param execution
 * @param response
 * @return filtered execution result if matching filters were found in execution
 */
declare function filterExecutionResult(execution: IExecution, response: CachedResponse | IErrorResponse): CachedResponse | IErrorResponse;
declare const _default: {
    filterDataResult: typeof filterDataResult;
    filterExecutionResult: typeof filterExecutionResult;
};
export default _default;
