import { ExecuteAFM as AFM, Execution } from "@gooddata/typings";
import { IErrorResponse } from "../executeAfm";
import { IRandomDataResult } from "./dataResult";
export interface ITotalsResultRandomGeneratorParams {
    totalType: AFM.TotalType;
    localIdentifier: AFM.Identifier;
}
export declare type TotalsResultRandomGenerator = (params: ITotalsResultRandomGeneratorParams) => string;
export interface ITotalsResponse {
    types: AFM.TotalType[];
    data?: Execution.IExecutionResult["totals"];
}
export declare function getTotalsFromExecution(normalizedExecution: AFM.IExecution): AFM.ITotalItem[];
export declare function getTotalsTypesFromExecution(normalizedExecution: AFM.IExecution): AFM.TotalType[];
export declare function getTotals(normalizedExecution: AFM.IExecution, dataResult: IRandomDataResult, randomGenerator: TotalsResultRandomGenerator): IErrorResponse | ITotalsResponse;
export declare function getTotalsData(execution: AFM.IExecution, dataResult: IRandomDataResult, randomGenerator: TotalsResultRandomGenerator): Execution.IExecutionResult["totals"] | undefined;
