"use strict";
// (C) 2019 GoodData Corporation
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
exports.__esModule = true;
exports.executeVisualization = exports.getAfmExecutionForVisualization = void 0;
var HttpStatusCodes = require("http-status-codes");
var MockProject_1 = require("../../model/MockProject");
var executeAfm_1 = require("./executeAfm");
var mergeFilters_1 = require("./executeVisualization/mergeFilters");
var toAfm_1 = require("./executeVisualization/toAfm");
function getAfmExecutionForVisualization(project, visExecution) {
    var _a = visExecution.visualizationExecution, reference = _a.reference, resultSpec = _a.resultSpec, filters = _a.filters;
    var visObject = MockProject_1.getVisualizationObject(project, reference);
    var resultSpecProp = resultSpec ? { resultSpec: resultSpec } : undefined;
    return visObject
        ? {
            execution: __assign({ afm: mergeFilters_1.mergeFiltersToAfm(toAfm_1.toAfm(visObject.content), filters) }, resultSpecProp)
        }
        : undefined;
}
exports.getAfmExecutionForVisualization = getAfmExecutionForVisualization;
exports.executeVisualization = {
    register: function (app, project, config) {
        app.post("/gdc/app/projects/" + project.project.meta.identifier + "/executeVisualization", function (req, res) {
            var executeAfmRequest = getAfmExecutionForVisualization(project, req.body);
            if (executeAfmRequest === undefined) {
                return res.status(HttpStatusCodes.BAD_REQUEST).send("Visualization does not exist");
            }
            var result = executeAfm_1.doExecuteAfm(project, executeAfmRequest, config);
            if (executeAfm_1.isErrorResponse(result)) {
                var error = result.error;
                return res.status(error.statusCode).send(error.message);
            }
            return res.status(HttpStatusCodes.CREATED).send(result);
        });
        return app;
    }
};
//# sourceMappingURL=executeVisualization.js.map