"use strict";
exports.__esModule = true;
exports.convertVisualizationObjectFilter = exports.convertRelativeDateFilter = exports.convertAbsoluteDateFilter = void 0;
// (C) 2019 GoodData Corporation
var typings_1 = require("@gooddata/typings");
function convertAttributeFilter(filter) {
    if (!typings_1.VisualizationObject.isPositiveAttributeFilter(filter)) {
        if (!filter.negativeAttributeFilter.notIn.length) {
            return null;
        }
    }
    return filter;
}
function convertAbsoluteDateFilter(filter) {
    var absoluteDateFilter = filter.absoluteDateFilter;
    if (absoluteDateFilter.from === undefined || absoluteDateFilter.to === undefined) {
        return null;
    }
    return {
        absoluteDateFilter: {
            dataSet: absoluteDateFilter.dataSet,
            from: String(absoluteDateFilter.from),
            to: String(absoluteDateFilter.to)
        }
    };
}
exports.convertAbsoluteDateFilter = convertAbsoluteDateFilter;
function convertRelativeDateFilter(filter) {
    var relativeDateFilter = filter.relativeDateFilter;
    if (relativeDateFilter.from === undefined || !relativeDateFilter.to === undefined) {
        return null;
    }
    return {
        relativeDateFilter: {
            dataSet: relativeDateFilter.dataSet,
            granularity: relativeDateFilter.granularity,
            from: Number(relativeDateFilter.from),
            to: Number(relativeDateFilter.to)
        }
    };
}
exports.convertRelativeDateFilter = convertRelativeDateFilter;
function convertVisualizationObjectFilter(filter) {
    if (typings_1.VisualizationObject.isAttributeFilter(filter)) {
        return convertAttributeFilter(filter);
    }
    else if (typings_1.VisualizationObject.isAbsoluteDateFilter(filter)) {
        return convertAbsoluteDateFilter(filter);
    }
    else {
        return convertRelativeDateFilter(filter);
    }
}
exports.convertVisualizationObjectFilter = convertVisualizationObjectFilter;
//# sourceMappingURL=FilterConverter.js.map