import { ExecuteAFM as AFM } from "@gooddata/typings";
export declare const ALL_TIME_GRANULARITY = "ALL_TIME_GRANULARITY";
/**
 * Return uri or identifier from ObjQualifier
 *
 * @method getId
 * @param {AFM.ObjQualifier} obj
 * @returns {string|null}
 */
export declare function getId(obj: AFM.ObjQualifier): string | null;
/**
 * Returns date filter date dataset
 *
 * @method getDateFilterDateDataSet
 * @param {AFM.DateFilterItem} filter
 * @returns {AFM.ObjQualifier | null }
 */
export declare function getDateFilterDateDataSet(filter: AFM.DateFilterItem): AFM.ObjQualifier;
/**
 * Returns true if dateFilters dataSets match
 *
 * @method dateFiltersDataSetsMatch
 * @param {AFM.DateFilterItem} f1
 * @param {AFM.DateFilterItem} f2
 * @returns {AFM.ObjQualifier | null | boolean}
 */
export declare function dateFiltersDataSetsMatch(f1: AFM.DateFilterItem, f2: AFM.DateFilterItem): boolean;
/**
 * Append attribute filters and date filter to afm
 *
 * Date filter handling:
 *      - Override if date filter has the same id
 *      - Add if date filter if date filter id is different
 *
 * Attribute filter handling:
 *      - Add all
 *
 * @method appendFilters
 * @param {AFM.IAfm} afm
 * @param {AFM.AttributeFilterItem[]} attributeFilters
 * @param {AFM.DateFilterItem} dateFilter
 * @param {AFM.IMeasureValueFilter} measureValueFilters
 * @param {AFM.IRankingFilter} rankingFilters
 * @return {AFM.IAfm}
 */
export declare function appendFilters(afm: AFM.IAfm, attributeFilters: AFM.AttributeFilterItem[], dateFilter?: AFM.DateFilterItem, measureValueFilters?: AFM.IMeasureValueFilter[], rankingFilters?: AFM.IRankingFilter[]): AFM.IAfm;
export declare function mergeFiltersToAfm(afm: AFM.IAfm, additionalFilters?: AFM.CompatibilityFilter[]): AFM.IAfm;
