"use strict";
exports.__esModule = true;
exports.login = void 0;
var HttpStatusCodes = require("http-status-codes");
var routes_1 = require("../../route/routes");
var authorization_1 = require("../helpers/authorization");
var PASSWORD = "jindrisska";
function createSignInResponse(user) {
    return {
        userLogin: {
            profile: routes_1.profileUri(user.identifier),
            state: routes_1.loginStateUri(user.identifier)
        }
    };
}
function createBadCredentialsError() {
    return {
        component: "Webapp",
        message: "Bad Login or Password!",
        parameters: []
    };
}
exports.login = {
    register: function (app, project) {
        app.post("/gdc/account/login", function (req, res) {
            var request = req.body;
            var _a = request.postUserLogin, userLogin = _a.login, password = _a.password;
            var user = project.users.find(function (u) { return u.email === userLogin && password === PASSWORD; });
            if (user) {
                authorization_1.authorize(req.session, user);
                res.status(HttpStatusCodes.OK).json(createSignInResponse(user));
            }
            else {
                res.status(HttpStatusCodes.UNAUTHORIZED).json(createBadCredentialsError());
            }
        });
        app.get("/gdc/account/token", function (req, res) {
            if (authorization_1.isAuthorized(req.session)) {
                res.status(HttpStatusCodes.OK).end();
            }
            else {
                res.status(HttpStatusCodes.UNAUTHORIZED).end();
            }
        });
        app["delete"]("/gdc/account/login/:userid", function (req, res) {
            req.session.destroy(function () {
                res.status(HttpStatusCodes.NO_CONTENT).end();
            });
        });
        return app;
    }
};
//# sourceMappingURL=login.js.map