"use strict";
exports.__esModule = true;
exports.userConfigs = exports.getProfileUri = void 0;
// (C) 2019-2020 GoodData Corporation
var http_status_codes_1 = require("http-status-codes");
var bootstrap_1 = require("./bootstrap");
function getProfileUri(bootstrap) {
    var self = bootstrap.bootstrapResource.accountSetting.links;
    return self.self;
}
exports.getProfileUri = getProfileUri;
exports.userConfigs = {
    register: function (app, project) {
        var bootstrap = bootstrap_1.getBootstrap(project);
        app.get(getProfileUri(bootstrap) + "/config", function (_req, res) {
            res.status(http_status_codes_1.OK).json({
                settings: {
                    items: project.userConfigs
                }
            });
        });
        var separatorsUri = getProfileUri(bootstrap) + "/settings/separators";
        app.get(separatorsUri, function (_req, res) {
            res.status(http_status_codes_1.OK).json({
                separators: {
                    thousand: ",",
                    decimal: ".",
                    links: {
                        self: separatorsUri
                    }
                }
            });
        });
        return app;
    }
};
//# sourceMappingURL=userConfigs.js.map