import { IFeatureFlags } from "./FeatureFlags";
import { ISeparators } from "./User";
export interface IBootstrap {
    bootstrapResource: {
        accountSetting: {
            authenticationModes: string[];
            companyName: string;
            country?: string;
            created: string;
            effectiveIpWhitelist?: string;
            email: string;
            firstName: string;
            ipWhitelist?: string;
            language: string;
            lastName: string;
            links: {
                self: string;
            };
            login: string;
            phoneNumber?: string;
            position?: string;
            timezone?: string;
            updated?: string;
        };
        hostnameBase: string;
        settings: {
            applicationTitle: string;
            faviconUrl: string;
            organizationName: string;
            displayFlashNews: boolean;
            logoUrl: string;
            displayProjects: boolean;
            displayAccountPage: boolean;
            isBranded: boolean;
            supportEmail: string;
            supportForumUrl: string;
            privacyPolicyUrl: string;
            documentationUrl: string;
            securityStatementUrl: string;
            termsOfUseUrl: string;
            trustUrl: string;
            appleTouchIconUrl: string;
            skipClientRedirect: boolean;
            hideRegistration: boolean;
            useOnboarding: boolean;
            displayNPS: boolean;
        };
        profileSetting: {
            hints: {};
            projectSettings: {};
            currentProjectUri: string;
            npsLastParticipation: string;
            releaseNotice: string[];
            separators?: ISeparators;
            links: {
                self: string;
                profile: string;
            };
        };
        current: {
            project: {
                content: object;
                links: object;
                meta: object;
            };
            featureFlags?: IFeatureFlags;
            projectPermissions: object;
            clusterStatus: string;
            timezone: object;
            projectTemplates: any[];
            dataUploadsInfo: object;
            loginMD5: string;
            integrations: any[];
            projectIcons: any[];
            requiresRedirect: boolean;
            analyticalDashboards: any[];
            mapboxToken: string;
        };
    };
}
