import { IObjectMeta } from "./ObjectMeta";
import { IMetadataObject } from "./MetadataObject";
import { INestedAttributeDisplayForm } from "./NestedAttributeDisplayForm";
import { IWrappedAttribute } from "./Attribute";
export interface IDateAttributeFragment {
    type: string;
    attributeMeta: IObjectMeta;
    defaultDisplayFormMeta: IObjectMeta;
}
export interface IWrappedDateDataSet {
    relevance: number;
    availableDateAttributes?: IDateAttributeFragment[];
    meta: IObjectMeta;
}
export interface IDateAttribute extends IMetadataObject {
    type: string;
    meta: IObjectMeta;
    displayForms: INestedAttributeDisplayForm[];
}
export interface IDateDataSet extends IMetadataObject {
    relevance: number;
    availableDateAttributes?: IDateAttribute[];
}
export declare function isDateDataSet(object: IMetadataObject): object is IDateDataSet;
export declare function isDateAttribute(object: IMetadataObject): object is IDateAttribute;
export declare function wrapDateDataSet(object: IDateDataSet): IWrappedDateDataSet;
export declare function wrapDateAttribute(object: IDateAttribute): IWrappedAttribute;
