"use strict";
exports.__esModule = true;
exports.wrapDateAttribute = exports.wrapDateDataSet = exports.isDateAttribute = exports.isDateDataSet = void 0;
function isDateDataSet(object) {
    return object.meta.category === "dateDataSet";
}
exports.isDateDataSet = isDateDataSet;
function isDateAttribute(object) {
    return object.meta.category === "attribute" && object.type !== undefined;
}
exports.isDateAttribute = isDateAttribute;
function wrapDateDataSet(object) {
    return {
        relevance: object.relevance,
        meta: object.meta,
        availableDateAttributes: object.availableDateAttributes.map(function (attribute) {
            return {
                type: attribute.type,
                attributeMeta: attribute.meta,
                defaultDisplayFormMeta: attribute.displayForms[0].meta
            };
        })
    };
}
exports.wrapDateDataSet = wrapDateDataSet;
// get dateAttribute as MD object
function wrapDateAttribute(object) {
    return {
        attribute: {
            content: {
                type: object.type,
                displayForms: object.displayForms
            },
            meta: object.meta
        }
    };
}
exports.wrapDateAttribute = wrapDateAttribute;
//# sourceMappingURL=DateDataSet.js.map