import { ExecuteAFM as AFM } from "@gooddata/typings";
export declare type DrillDefinition = IDrillToVisualization | IDrillToDashboard | IDrillToUrl;
export declare type IDrillToUrl = IDrillToCustomUrl | IDrillToAttributeUrl;
export declare type DrillFrom = IDrillFromMeasure;
export declare type DrillTarget = "pop-up";
export declare type DrillToDashboardTarget = "in-place";
export declare type NewWindowDrillTarget = "new-window";
export declare type Identifier = string;
export interface IDrillToVisualization {
    drillToVisualization: {
        target: DrillTarget;
        from: DrillFrom;
        toVisualization: AFM.IObjUriQualifier;
    };
}
export interface IDrillFromMeasure {
    drillFromMeasure: {
        localIdentifier: AFM.Identifier;
    };
}
export interface IDrillToDashboard {
    drillToDashboard: {
        target: DrillToDashboardTarget;
        from: DrillFrom;
        toDashboard: Identifier;
    };
}
export interface IDrillToCustomUrl {
    drillToCustomUrl: {
        target: NewWindowDrillTarget;
        from: DrillFrom;
        customUrl: string;
    };
}
export interface IDrillToAttributeUrl {
    drillToAttributeUrl: {
        target: NewWindowDrillTarget;
        from: DrillFrom;
        insightAttributeDisplayForm: AFM.IObjUriQualifier;
        drillToAttributeDisplayForm: AFM.IObjUriQualifier;
    };
}
