import { IMetadataObject } from "./MetadataObject";
export interface IMaqlAstPosition {
    line: number;
    column: number;
}
export interface IMaqlTree {
    type: string;
    value?: string | Date | number;
    position: IMaqlAstPosition;
    content?: IMaqlTree;
}
export interface IMetric extends IMetadataObject {
    content: {
        expression: string;
        tree?: IMaqlTree;
        format?: string;
        folders?: string[];
    };
    links?: {
        explain2?: string;
    };
}
export interface IWrappedMetric {
    metric: IMetric;
}
export declare function isMetric(object: IMetadataObject): object is IMetric;
export declare function getMetricByIdentifier(metrics: IMetric[], identifier: string): IMetric;
export declare function getMetricByUri(metrics: IMetric[], uri: string): IMetric;
