"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
exports.__esModule = true;
exports.buildProject = void 0;
var AnalyticalDashboardBuilder_1 = require("./builders/AnalyticalDashboardBuilder");
var ElementsBuilder_1 = require("./builders/ElementsBuilder");
var DateRangesBuilder_1 = require("./builders/DateRangesBuilder");
var ExecutionBuilder_1 = require("./builders/ExecutionBuilder");
var FeatureFlagsBuilder_1 = require("./builders/FeatureFlagsBuilder");
var ProjectConfigsBuilder_1 = require("./builders/ProjectConfigsBuilder");
var UserConfigsBuilder_1 = require("./builders/UserConfigsBuilder");
var FilterContextBuilder_1 = require("./builders/FilterContextBuilder");
var KpiBuilder_1 = require("./builders/KpiBuilder");
var ProjectBuilder_1 = require("./builders/ProjectBuilder");
var ProjectPermissionsBuilder_1 = require("./builders/ProjectPermissionsBuilder");
var UserBuilder_1 = require("./builders/UserBuilder");
var VisualizationObjectBuilder_1 = require("./builders/VisualizationObjectBuilder");
var VisualizationClassBuilder_1 = require("./builders/VisualizationClassBuilder");
var VisualizationWidgetBuilder_1 = require("./builders/VisualizationWidgetBuilder");
var WidgetBuilder_1 = require("./builders/WidgetBuilder");
var GroupBuilder_1 = require("./builders/GroupBuilder");
var KpiAlertBuilder_1 = require("./builders/KpiAlertBuilder");
var StyleSettingsBuilder_1 = require("./builders/StyleSettingsBuilder");
var AfmExecutionBuilder_1 = require("./builders/AfmExecutionBuilder");
var EndPointsBuilder_1 = require("./builders/EndPointsBuilder");
var DateFilterConfigBuilder_1 = require("./builders/DateFilterConfigBuilder");
var OrganizedCatalog_1 = require("./builders/OrganizedCatalog");
function buildProject(schema) {
    var creators = {
        analyticalDashboards: AnalyticalDashboardBuilder_1.createAnalyticalDashboards,
        elements: ElementsBuilder_1.createElementsMap,
        dateRanges: DateRangesBuilder_1.createDateRangesMap,
        executions: ExecutionBuilder_1.createExecutions,
        afmExecutions: AfmExecutionBuilder_1.createAfmExecutions,
        endPoints: EndPointsBuilder_1.createEndPoints,
        featureFlags: FeatureFlagsBuilder_1.createFeatureFlags,
        projectConfigs: ProjectConfigsBuilder_1.createProjectConfigs,
        userConfigs: UserConfigsBuilder_1.createUserConfigs,
        filterContexts: FilterContextBuilder_1.createFilterContexts,
        groups: GroupBuilder_1.createGroups,
        kpis: KpiBuilder_1.createKpis,
        project: ProjectBuilder_1.createProject,
        projectPermissions: ProjectPermissionsBuilder_1.createProjectPermissions,
        users: UserBuilder_1.createUsers,
        visualizationObjects: VisualizationObjectBuilder_1.createVisualizationObjects,
        visualizationClasses: VisualizationClassBuilder_1.createVisualizationClasses,
        visualizationWidgets: VisualizationWidgetBuilder_1.createVisualizationWidgets,
        widgets: WidgetBuilder_1.createWidgets,
        kpiAlerts: KpiAlertBuilder_1.createKpiAlerts,
        styleSettings: StyleSettingsBuilder_1.createStyleSettings,
        dateFilterConfig: DateFilterConfigBuilder_1.createDateFilterConfig,
        organizedCatalog: OrganizedCatalog_1.createOrganizedCatalog
    };
    return Object.keys(creators).reduce(function (project, namespace) {
        var _a;
        return (__assign(__assign({}, project), (_a = {}, _a[namespace] = creators[namespace](schema), _a)));
    }, {});
}
exports.buildProject = buildProject;
//# sourceMappingURL=builder.js.map