"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
exports.__esModule = true;
exports.createDateFilterConfig = exports.createDateFiltersConfigBody = exports.createDateFilterDashboardConfig = void 0;
var Project_1 = require("../../model/Project");
var routes_1 = require("../../route/routes");
var ProjectBuilder_1 = require("./ProjectBuilder");
function createDateFilterDashboardConfig(configSchema) {
    // no need to transform anything as of now
    return configSchema;
}
exports.createDateFilterDashboardConfig = createDateFilterDashboardConfig;
function createDateFiltersConfigBody(project, configSchema) {
    var title = configSchema.title, identifier = configSchema.identifier, content = __rest(configSchema, ["title", "identifier"]);
    var uri = routes_1.objectUri(Project_1.getProjectId(project), identifier);
    return {
        content: content,
        meta: {
            category: "dateFilterConfig",
            title: title,
            identifier: identifier,
            uri: uri
        }
    };
}
exports.createDateFiltersConfigBody = createDateFiltersConfigBody;
function createDateFilterConfig(schema) {
    var project = ProjectBuilder_1.createProject(schema);
    return schema.dateFilterConfig && createDateFiltersConfigBody(project, schema.dateFilterConfig);
}
exports.createDateFilterConfig = createDateFilterConfig;
//# sourceMappingURL=DateFilterConfigBuilder.js.map