"use strict";
exports.__esModule = true;
exports.createFact = void 0;
var objects_1 = require("../helpers/objects");
var string_1 = require("../../utils/string");
var Project_1 = require("../../model/Project");
var routes_1 = require("../../route/routes");
var createFactIdentifier = function (fact) { return "fact." + string_1.webalize(fact.title); };
function createFact(project, fact) {
    var identifier = objects_1.ensureIdentifier(fact, createFactIdentifier(fact));
    return {
        content: {
            expr: [
                {
                    data: routes_1.dataUri(Project_1.getProjectId(project), identifier),
                    type: "col"
                },
            ]
        },
        meta: {
            category: "fact",
            title: fact.title,
            identifier: identifier,
            uri: routes_1.objectUri(Project_1.getProjectId(project), identifier),
            tags: fact.tags
        }
    };
}
exports.createFact = createFact;
//# sourceMappingURL=FactBuilder.js.map