"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
exports.__esModule = true;
exports.createFilterContexts = void 0;
// (C) 2007-2019 GoodData Corporation
var lodash_1 = require("lodash");
var Project_1 = require("../../model/Project");
var string_1 = require("../../utils/string");
var routes_1 = require("../../route/routes");
var ProjectBuilder_1 = require("./ProjectBuilder");
function getAttributeFilter(filter) {
    return __assign({}, filter);
}
function getDateFilter(filter) {
    return __assign({}, filter);
}
function getFilters(filters) {
    return filters.map(function (filter) {
        if (lodash_1.has(filter, "attributeFilter")) {
            return getAttributeFilter(filter);
        }
        return getDateFilter(filter);
    });
}
function createFilterContexts(schema) {
    var project = ProjectBuilder_1.createProject(schema);
    var filterContexts = lodash_1.flatMap(schema.analyticalDashboards || [], function (analyticalDashboard) { return analyticalDashboard.filterContext || []; });
    return filterContexts.map(function (filterContext) {
        var identifier = string_1.webalize(filterContext.title);
        return {
            meta: {
                identifier: identifier,
                title: filterContext.title,
                uri: routes_1.objectUri(Project_1.getProjectId(project), identifier),
                category: "filterContext"
            },
            content: {
                filters: getFilters(filterContext.filters)
            }
        };
    });
}
exports.createFilterContexts = createFilterContexts;
//# sourceMappingURL=FilterContextBuilder.js.map