"use strict";
exports.__esModule = true;
exports.createGroups = void 0;
var ProjectBuilder_1 = require("./ProjectBuilder");
var objects_1 = require("../helpers/objects");
var AttributeBuilder_1 = require("./AttributeBuilder");
var MetricBuilder_1 = require("./MetricBuilder");
var FactBuilder_1 = require("./FactBuilder");
var DateDataSetBuilder_1 = require("./DateDataSetBuilder");
function createGroupMeta(meta) {
    if (meta === void 0) { meta = {}; }
    var identifier = meta.identifier, _a = meta.type, type = _a === void 0 ? "production" : _a;
    return {
        identifier: identifier,
        type: type
    };
}
function createGroups(schema) {
    var project = ProjectBuilder_1.createProject(schema);
    return objects_1.ensureItems(schema.groups).map(function (group) { return ({
        attributes: objects_1.ensureItems(group.attributes).map(function (attribute) { return AttributeBuilder_1.createAttribute(project, attribute); }),
        metrics: objects_1.ensureItems(group.metrics).map(function (metric) { return MetricBuilder_1.createMetric(project, metric); }),
        facts: objects_1.ensureItems(group.facts).map(function (fact) { return FactBuilder_1.createFact(project, fact); }),
        dateDataSets: objects_1.ensureItems(group.dateDataSets).map(function (dateDataSet) {
            return DateDataSetBuilder_1.createDateDataSet(project, dateDataSet);
        }),
        meta: createGroupMeta(group.meta)
    }); });
}
exports.createGroups = createGroups;
//# sourceMappingURL=GroupBuilder.js.map