"use strict";
exports.__esModule = true;
exports.createMetric = void 0;
var routes_1 = require("../../route/routes");
var Project_1 = require("../../model/Project");
var objects_1 = require("../helpers/objects");
var string_1 = require("../../utils/string");
var createMetricIdentifier = function (metric) { return string_1.webalize(metric.title); };
function createMetric(project, metric) {
    var identifier = objects_1.ensureIdentifier(metric, createMetricIdentifier(metric));
    return {
        content: {
            expression: metric.expression || "SELECT 1",
            format: metric.format || "#,##0.00"
        },
        meta: {
            category: "metric",
            title: metric.title,
            identifier: identifier,
            uri: routes_1.objectUri(Project_1.getProjectId(project), identifier),
            tags: metric.tags
        }
    };
}
exports.createMetric = createMetric;
//# sourceMappingURL=MetricBuilder.js.map