"use strict";
exports.__esModule = true;
exports.createWidgets = void 0;
// (C) 2007-2019 GoodData Corporation
var lodash_1 = require("lodash");
var ProjectBuilder_1 = require("./ProjectBuilder");
var UserBuilder_1 = require("./UserBuilder");
var KpiBuilder_1 = require("./KpiBuilder");
var VisualizationWidgetBuilder_1 = require("./VisualizationWidgetBuilder");
function createKpiWidget(project, userId, widget) {
    return KpiBuilder_1.createKpi(project, userId, widget);
}
function createVisWidget(project, userId, widget) {
    return VisualizationWidgetBuilder_1.createVisualizationWidget(project, userId, widget);
}
function createWidget(project, userId, widget) {
    if (lodash_1.has(widget, "visualizationUri")) {
        return createVisWidget(project, userId, widget);
    }
    return createKpiWidget(project, userId, widget);
}
function createWidgets(schema) {
    var project = ProjectBuilder_1.createProject(schema);
    var users = UserBuilder_1.createUsers(schema);
    return lodash_1.flatMap(schema.analyticalDashboards || [], function (analyticalDashboard) { return analyticalDashboard.widgets || []; }).map(function (widget) { return createWidget(project, users[0].identifier, widget); });
}
exports.createWidgets = createWidgets;
//# sourceMappingURL=WidgetBuilder.js.map