import { IFeatureFlags } from "../../model/FeatureFlags";
import { ISchemaAnalyticalDashboard } from "./SchemaAnalyticalDashboard";
import { ISchemaExecution } from "./SchemaExecution";
import { ISchemaAfmExecution } from "./SchemaAfmExecution";
import { ISchemaGroup } from "./SchemaGroup";
import { ISchemaProject } from "./SchemaProject";
import { ISchemaUser } from "./SchemaUser";
import { ISchemaVisualizationObject } from "./SchemaVisualizationObject";
import { ISchemaVisualizationClass } from "./SchemaVisualizationClass";
import { ISchemaKpiAlert } from "./SchemaKpiAlert";
import { ISchemaEndPoints } from "./endPoints/SchemaEndPoints";
import { IStyleSettings } from "../../model/StyleSetting";
import { IDateFilterConfigSchema } from "./DateFilterConfigSchema";
import { IOrganizedCatalog } from "../../model/MockProject";
import { IConfigSettingItem } from "../../model/ProjectConfigs";
export interface ISchema {
    project: ISchemaProject;
    users?: ISchemaUser[];
    groups?: ISchemaGroup[];
    featureFlags?: IFeatureFlags;
    projectConfigs?: IConfigSettingItem[];
    userConfigs?: IConfigSettingItem[];
    executions?: ISchemaExecution[];
    afmExecutions?: ISchemaAfmExecution[];
    endPoints?: ISchemaEndPoints;
    analyticalDashboards?: ISchemaAnalyticalDashboard[];
    visualizationObjects?: ISchemaVisualizationObject[];
    visualizationClasses?: ISchemaVisualizationClass[];
    kpiAlerts?: ISchemaKpiAlert[];
    styleSettings?: IStyleSettings;
    dateFilterConfig?: IDateFilterConfigSchema;
    organizedCatalog?: IOrganizedCatalog;
}
