import { DrillTarget, DrillToDashboardTarget, NewWindowDrillTarget } from "../../model/DrillDefinition";
export declare type SchemaDrillDefinition = ISchemaDrillToVisualization | ISchemaDrillToDashboard | ISchemaDrillToCustomUrl | ISchemaDrillToAttributeUrl;
export interface ISchemaDrillToVisualization {
    drillToVisualization: {
        target: DrillTarget;
        from: string;
        toVisualization: string;
    };
}
export declare function isSchemaDrillToVisualization(drillDefinitionSchema: SchemaDrillDefinition): drillDefinitionSchema is ISchemaDrillToVisualization;
export interface ISchemaDrillToDashboard {
    drillToDashboard: {
        target: DrillToDashboardTarget;
        from: string;
        toDashboard: string;
    };
}
export declare function isSchemaDrillToDashboard(drillDefinitionSchema: SchemaDrillDefinition): drillDefinitionSchema is ISchemaDrillToDashboard;
export interface ISchemaDrillToCustomUrl {
    drillToCustomUrl: {
        target: NewWindowDrillTarget;
        from: string;
        customUrl: string;
    };
}
export declare function isSchemaDrillToCustomUrl(drillDefinitionSchema: SchemaDrillDefinition): drillDefinitionSchema is ISchemaDrillToCustomUrl;
export interface ISchemaDrillToAttributeUrl {
    drillToAttributeUrl: {
        target: NewWindowDrillTarget;
        from: string;
        insightAttributeDisplayForm: string;
        drillToAttributeDisplayForm: string;
    };
}
export declare function isSchemaDrillToAttributeUrl(drillDefinitionSchema: SchemaDrillDefinition): drillDefinitionSchema is ISchemaDrillToAttributeUrl;
