"use strict";
exports.__esModule = true;
exports.rotatedCartesianProduct = exports.cartesianProduct = void 0;
// (C) 2007-2019 GoodData Corporation
var lodash_1 = require("lodash");
function cartesianProduct(arr) {
    return arr.reduce(function (result, b) {
        return lodash_1.flatten(result.map(function (x) {
            return b.map(function (y) { return x.concat([y]); });
        }));
    }, [[]]);
}
exports.cartesianProduct = cartesianProduct;
function rotatedCartesianProduct(arr) {
    var cartesian = cartesianProduct(arr);
    var result = new Array(arr.length).fill(0).map(function (_) { return []; });
    cartesian.forEach(function (combination) {
        combination.forEach(function (header, idx) {
            result[idx].push(header);
        });
    });
    return result;
}
exports.rotatedCartesianProduct = rotatedCartesianProduct;
//# sourceMappingURL=cartesianProduct.js.map