"use strict";
exports.__esModule = true;
exports.DateRange = void 0;
// (C) 2007-2019 GoodData Corporation
var datesBetween_1 = require("../datesBetween/datesBetween");
var DateRange = /** @class */ (function () {
    function DateRange(from, to) {
        this.from = new Date(from ? from : DateRange.DEFAULT_FROM);
        this.to = to ? new Date(to) : new Date();
    }
    DateRange.fromDates = function (from, to) {
        var date = new DateRange();
        date.from = from;
        date.to = to;
        return date;
    };
    DateRange.prototype.getFromDate = function () {
        return this.from;
    };
    DateRange.prototype.getToDate = function () {
        return this.to;
    };
    DateRange.prototype.getDatesBetween = function () {
        return datesBetween_1.datesBetween(this.getFromDate(), this.getToDate());
    };
    DateRange.prototype.intersect = function (other) {
        // Maximum of left boundaries
        var fromDate = new Date(Math.max(other.getFromDate().getTime(), this.getFromDate().getTime()));
        // Minimum of right boundaries
        var toDate = new Date(Math.min(other.getToDate().getTime(), this.getToDate().getTime()));
        return DateRange.fromDates(fromDate, toDate);
    };
    DateRange.DEFAULT_FROM = "01-01-2015";
    return DateRange;
}());
exports.DateRange = DateRange;
//# sourceMappingURL=DateRange.js.map