// (C) 2007-2019 GoodData Corporation
import { createEndpoint } from "../../../utils/tests";
import { identifiers } from "../identifiers";
import * as request from "supertest";
import { schema } from "../../../schema/fixtures/dummySchema";

const app = createEndpoint(identifiers, schema);

it("should translate identifiers to uris", () => {
    return request(app)
        .post("/gdc/md/mockproject/identifiers")
        .set("Content-Type", "application/json")
        .send({
            identifierToUri: ["attr.employee", "attr.employee.df", "fact.amount", "my_visualization_a"],
        })
        .expect(200)
        .then(res => {
            expect(res.body).toMatchSnapshot();
        });
});

it("should translate uris to identifiers", () => {
    return request(app)
        .post("/gdc/md/mockproject/identifiers")
        .set("Content-Type", "application/json")
        .send({
            uriToIdentifier: [
                "/gdc/md/mockproject/obj/attr.employee",
                "/gdc/md/mockproject/obj/attr.employee.df",
                "/gdc/md/mockproject/obj/fact.amount",
                "/gdc/md/mockproject/obj/my_visualization_a",
            ],
        })
        .expect(200)
        .then(res => {
            expect(res.body).toMatchSnapshot();
        });
});
