// (C) 2019 GoodData Corporation
export default `<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Execution mock builder</title>
    <style>
        /*!
         * Generated using the Bootstrap Customizer (https://getbootstrap.com/docs/3.4/customize/)
         */
        /*!
         * Bootstrap v3.4.1 (https://getbootstrap.com/)
         * Copyright 2011-2019 Twitter, Inc.
         * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
         */
        /*! normalize.css v3.0.3 | MIT License | github.com/necolas/normalize.css */

        html {
            font-family: sans-serif;
        }

        body {
            padding: 2rem;
        }

        label {
            font-weight: bold;
            font-size: 1rem;
        }

        .panel {
            float: left;
            margin: 1rem;
        }

        .btn {
            display: inline-block;
            margin-bottom: 0;
            font-weight: normal;
            text-align: center;
            white-space: nowrap;
            vertical-align: middle;
            cursor: pointer;
            padding: 6px 12px;
            font-size: 14px;
            line-height: 1.42857143;
            border-radius: 4px;
            user-select: none;
            color: #ffffff;
            background-color: #5cb85c;
            border-color: #4cae4c;
            width: 125px;
            margin-top: 2rem;
        }

        .btn:focus {
            outline-offset: -2px;
            background-color: #449d44;
            border-color: #255625;
        }

        .btn:hover {
            background-color: #449d44;
            border-color: #398439;
        }

        .btn:active:hover {
            background-color: #398439;
            border-color: #255625;
        }

        input,
        textarea {
            display: block;
            padding: 6px 12px;
            font-size: 10px;
            line-height: 1.42857143;
            color: #555555;
            background-color: #ffffff;
            background-image: none;
            border: 1px solid #cccccc;
            border-radius: 4px;
            box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
            transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
            margin-top: .5rem;
        }

        input {
            height: 20px;
            margin-bottom: 1rem;
            width: 100px;
        }

        textarea {
            width: 400px;
            height: 300px;
        }

    </style>
</head>
<body>
<div class="panel">
    <label for="execution">Execution request</label>
    <textarea id="execution"></textarea>
</div>
<div class="panel">
    <label for="response">Execution response</label>
    <textarea id="response"></textarea>
</div>
<div class="panel">
    <label for="result">Execution result</label>
    <textarea id="result"></textarea>
</div>
<div class="panel">
    <label for="mock">Resulting mock for <em>mock.setup.js</em></label>
    <textarea id="mock"></textarea>
</div>
<div class="panel">
    <label for="project">Project ID</label>
    <input type="text" id="project" value="mockproject" />
    <label for="group">Group index</label>
    <input type="number" id="group" value="0" />
    <button type="button" class="btn" onclick="buildMock()">Build</button>
</div>
<script>

    function toJs(json) {
        return JSON.parse(json);
    }

    function readAndFormatTextarea(textareaId) {
        const textarea = document.getElementById(textareaId);
        const value = toJs(textarea.value || null);

        textarea.value = JSON.stringify(value, null, 2);

        return value;
    }

    function buildMock() {
        const projectId = document.getElementById('project').value;
        const groupIndex = document.getElementById('group').value;

        const execution = readAndFormatTextarea('execution');
        const executionResponse = readAndFormatTextarea('response');
        const executionResult = readAndFormatTextarea('result');

        const mock = {
            execution,
            executionResponse,
            executionResult
        };

        const xhr = new XMLHttpRequest();
        xhr.open("POST", '/mock-builder/' + projectId + '/' + groupIndex, true);
        xhr.setRequestHeader("Content-Type", "application/json");
        xhr.onreadystatechange = function () { // Call a function when the state changes.
            if (this.readyState === XMLHttpRequest.DONE && this.status === 200) {
                document.getElementById('mock').value = xhr.responseText;
            }
        };
        xhr.send(JSON.stringify(mock));
    }
</script>
</body>
</html>
`;
