// (C) 2019 GoodData Corporation
import * as request from "supertest";
import { createEndpoint } from "../../../utils/tests";
import { mockBuilder } from "../../utils";
import { schema } from "../../../schema/fixtures/dummySchema";
import * as payload from "./fixtures/mockBuilder.json";

describe("mockBuilder", () => {
    it("should return expected mock", () => {
        const app = createEndpoint(mockBuilder, schema);

        return request(app)
            .post("/mock-builder/mockproject/0")
            .set("Content-Type", "application/json")
            .expect(200)
            .send(payload)
            .then(res => {
                expect(res.text).toMatchSnapshot();
            });
    });

    it("should serve UI", () => {
        const app = createEndpoint(mockBuilder, schema);

        return request(app)
            .get("/mock-builder")
            .expect(200)
            .then(res => {
                expect(res.text.length).toBeGreaterThan(0);
            });
    });
});
