// (C) 2007-2019 GoodData Corporation
import { getDefaultResultSpec } from "../resultSpec";

describe("getDefaultResultSpec", () => {
    it("should return default result spec with Y dimension", () => {
        const resultSpec = getDefaultResultSpec({
            measures: [
                {
                    localIdentifier: "m1",
                    definition: {
                        measure: {
                            item: {
                                uri: "/gdc/md/projectid/obj/1234",
                            },
                        },
                    },
                },
            ],
            attributes: [],
        });

        expect(resultSpec).toEqual({
            dimensions: [
                {
                    itemIdentifiers: ["measureGroup"],
                },
            ],
        });
    });

    it("should return default result spec with X and Y dimensions", () => {
        const resultSpec = getDefaultResultSpec({
            measures: [
                {
                    localIdentifier: "m1",
                    definition: {
                        measure: {
                            item: {
                                uri: "/gdc/md/projectid/obj/1234",
                            },
                        },
                    },
                },
            ],
            attributes: [
                {
                    localIdentifier: "a1",
                    displayForm: {
                        identifier: "df.identifier",
                    },
                },
            ],
        });

        expect(resultSpec).toEqual({
            dimensions: [
                {
                    itemIdentifiers: ["measureGroup"],
                },
                {
                    itemIdentifiers: ["a1"],
                },
            ],
        });
    });
});
