// (C) 2007-2019 GoodData Corporation
import { Application } from "express";
import { IMockProject } from "../../model/MockProject";
import * as HttpStatusCodes from "http-status-codes";
import { IFeatureFlags } from "../../model/FeatureFlags";

interface IReqResFeatureFlags {
    featureFlags: IFeatureFlags;
}

export const featureFlags = {
    register(app: Application, project: IMockProject) {
        app.get("/gdc/internal/account/profile/featureFlags", (_, res) => {
            const body: IReqResFeatureFlags = {
                featureFlags: project.featureFlags,
            };

            res.status(HttpStatusCodes.OK).json(body);
        });

        app.get(`/gdc/app/projects/${project.project.meta.identifier}/featureFlags`, (_req, res) => {
            const body: IReqResFeatureFlags = {
                featureFlags: project.featureFlags,
            };

            res.status(HttpStatusCodes.OK).json(body);
        });

        return app;
    },
};
