// (C) 2007-2019 GoodData Corporation
import * as request from "supertest";
import { ISchema } from "../../../schema/model/Schema";
import { featureFlags } from "../featureFlags";
import { createEndpoint } from "../../../utils/tests";

const schema: ISchema = {
    project: {
        title: "My title",
    },
};

describe("featureFlags", () => {
    it("should get the default featureFlags", async () => {
        const app = createEndpoint(featureFlags, schema);

        const response = await request(app)
            .get("/gdc/internal/account/profile/featureFlags")
            .expect(200);

        const defaultFeatureFlags = {
            featureFlags: {
                oldHeader: false,
                enableCsvUploader: true,
                disableDefaultBulkUpload: true,
                mufTable: false,
                enableAnalyticalDashboardsVisualizations: true,
                enableIncrementalLoad: true,
                analyticalDesigner: true,
                enableAnalyticalDashboards: true,
                newNavigation: false,
            },
        };
        expect(response.body).toEqual(defaultFeatureFlags);
    });
});
