// (C) 2007-2020 GoodData Corporation
import { IBootstrap } from "../../../../model/Bootstrap";
import { profileUri, projectUri } from "../../../../route/routes";

export const dummyBootstrap: IBootstrap = {
    bootstrapResource: {
        accountSetting: {
            authenticationModes: [],
            companyName: "user.companyName",
            created: "2014-07-01 15:16:05",
            email: "user.email",
            firstName: "user.firstName",
            language: "en-US",
            lastName: "user.lastName",
            login: "user.email",
            position: null,
            timezone: null,
            links: {
                self: profileUri("user.identifier"),
            },
        },
        hostnameBase: "secure.gooddata.com",
        settings: {
            applicationTitle: "GoodData",
            faviconUrl: "/images/favicon.ico",
            organizationName: "GoodData",
            displayFlashNews: true,
            logoUrl: "/images/header/logo.png",
            displayProjects: true,
            displayAccountPage: true,
            isBranded: false,
            supportEmail: "support@gooddata.com",
            supportForumUrl: "https://support.gooddata.com",
            privacyPolicyUrl: "https://www.gooddata.com/privacy.html",
            documentationUrl: "https://help.gooddata.com/doc/",
            securityStatementUrl: "https://www.gooddata.com/security.html",
            termsOfUseUrl: "https://www.gooddata.com/terms.html",
            trustUrl: "https://www.gooddata.com/trust/",
            appleTouchIconUrl: "/images/appleTouchIcon.png",
            skipClientRedirect: false,
            hideRegistration: false,
            useOnboarding: true,
            displayNPS: true,
        },
        profileSetting: {
            hints: {},
            projectSettings: {},
            currentProjectUri: projectUri("mockproject"),
            npsLastParticipation: "2014-09-09 13:25:33",
            releaseNotice: [],
            links: {
                self: "profileUri/settings",
                profile: "profileUri",
            },
        },
        current: {
            project: {
                content: {},
                links: {
                    self: "profileUri/settings",
                    profile: "profileUri",
                },
                meta: {},
            },
            projectPermissions: {},
            clusterStatus: "ONLINE",
            timezone: {
                id: "America/Los_Angeles",
                displayName: "Pacific Standard Time",
                shortDisplayName: "PST",
                currentOffsetMs: -28800000,
            },
            projectTemplates: [],
            dataUploadsInfo: {
                statusesCount: {
                    OK: 15,
                },
            },
            loginMD5: "user.identifier",
            integrations: [],
            projectIcons: [],
            requiresRedirect: false,
            analyticalDashboards: [],
            mapboxToken: "dummy_mapbox_token",
        },
    },
};
