// (C) 2007-2019 GoodData Corporation
import { ExecuteAFM as AFM } from "@gooddata/typings";

export const customDimensionIdentifiers: AFM.IExecution = {
    execution: {
        afm: {
            measures: [
                {
                    localIdentifier: "m1",
                    definition: {
                        measure: {
                            item: {
                                identifier: "simple_metric",
                            },
                        },
                    },
                },
            ],
            attributes: [
                {
                    displayForm: {
                        identifier: "attr.employee.df",
                    },
                    localIdentifier: "a1",
                },
            ],
        },

        resultSpec: {
            dimensions: [
                {
                    itemIdentifiers: ["measureGroup"],
                },
                {
                    itemIdentifiers: ["a1"],
                },
            ],
        },
    },
};

export const executionWithArithmeticAndDerivedMeasures: AFM.IExecution = {
    execution: {
        afm: {
            measures: [
                {
                    localIdentifier: "simpleMeasure",
                    definition: {
                        measure: {
                            item: {
                                identifier: "simple_metric",
                            },
                        },
                    },
                    alias: "Simple measure 1",
                },
                {
                    localIdentifier: "simpleMeasure2",
                    definition: {
                        measure: {
                            item: {
                                identifier: "simple_metric",
                            },
                        },
                    },
                    alias: "Simple measure 2",
                },
                {
                    localIdentifier: "popMeasure",
                    definition: {
                        popMeasure: {
                            measureIdentifier: "arithmeticMeasure",
                            popAttribute: {
                                identifier: "attr.date.month",
                            },
                        },
                    },
                    alias: "Arithmetic measure alias - SP year ago",
                },
                {
                    localIdentifier: "arithmeticMeasure",
                    definition: {
                        arithmeticMeasure: {
                            measureIdentifiers: ["simpleMeasure", "simpleMeasure2"],
                            operator: "sum",
                        },
                    },
                    alias: "Arithmetic measure alias",
                },
            ],
        },
        resultSpec: {
            dimensions: [
                {
                    itemIdentifiers: ["measureGroup"],
                },
                {
                    itemIdentifiers: [],
                },
            ],
            sorts: [],
        },
    },
};
