// (C) 2019 GoodData Corporation
import * as request from "supertest";
import { projectConfigs } from "../projectConfigs";
import { IMockProject } from "../../../model/MockProject";
import { createEndpoint } from "../../../utils/tests";
import { IConfigSettingItem } from "../../../model/ProjectConfigs";
import { ISchema } from "../../../schema/model/Schema";
import { buildProject } from "../../../schema/builder";

it("should return list of configs", done => {
    const items: IConfigSettingItem[] = [];
    const configs = {
        settings: {
            items,
        },
    };
    const schema: ISchema = {
        project: {
            title: "My title",
        },
        users: [
            {
                identifier: "123456",
                email: "john.doe@example.com",
            },
        ],
    };

    const project: IMockProject = buildProject(schema);

    const app = createEndpoint(projectConfigs, schema);

    request(app)
        .get(`/gdc/app/projects/${project.project.meta.identifier}/config`)
        .expect(200)
        .end((err, res) => {
            expect(err).toBe(null);
            expect(res.body).toEqual(configs);

            done();
        });
});
