// (C) 2019 GoodData Corporation
import * as request from "supertest";
import { getBootstrap } from "../bootstrap";
import { ISchema } from "../../../schema/model/Schema";
import { IMockProject } from "../../../model/MockProject";
import { IBootstrap } from "../../../model/Bootstrap";
import { buildProject } from "../../../schema/builder";
import { userConfigs, getProfileUri } from "../userConfigs";
import { IConfigSettingItem } from "../../../model/ProjectConfigs";
import { createEndpoint } from "../../../utils/tests";

it("should return list of user configs", done => {
    const items: IConfigSettingItem[] = [];
    const configs = {
        settings: {
            items,
        },
    };
    const schema: ISchema = {
        project: {
            title: "My title",
        },
        users: [
            {
                identifier: "john-doe",
                email: "john.doe@example.com",
            },
        ],
    };

    const project: IMockProject = buildProject(schema);
    const bootstrap: IBootstrap = getBootstrap(project);
    const app = createEndpoint(userConfigs, schema);
    request(app)
        .get(`${getProfileUri(bootstrap)}/config`)
        .expect(200)
        .end((err, res) => {
            expect(err).toBe(null);
            expect(res.body).toEqual(configs);

            done();
        });
});
