// (C) 2007-2019 GoodData Corporation
import { IMetadataObject } from "./MetadataObject";
import { Layout, ExtendedDateFilters } from "@gooddata/typings";

export interface IAnalyticalDashboard extends IMetadataObject {
    content: {
        widgets: string[];
        filterContext?: string;
        layout?: Layout;
        dateFilterConfig?: ExtendedDateFilters.IDashboardDateFilterConfig;
    };
}

export interface IWrappedAnalyticalDashboard {
    analyticalDashboard: IAnalyticalDashboard;
}

export function isAnalyticalDashboard(object: IMetadataObject): object is IAnalyticalDashboard {
    return object.meta.category === "analyticalDashboard";
}
