// (C) 2007-2019 GoodData Corporation
import { IMetadataObject } from "./MetadataObject";

export interface IAttributeDisplayForm extends IMetadataObject {
    content: {
        expression: string;

        /** Uri of parent attribute */
        formOf: string;

        ldmexpression?: string;
        type?: string;
        default?: number;
    };

    links: {
        elements: string;
    };
}

export interface IWrappedAttributeDisplayForm {
    attributeDisplayForm: IAttributeDisplayForm;
}

export function isAttributeDisplayForm(object: IMetadataObject): object is IAttributeDisplayForm {
    return object.meta.category === "attributeDisplayForm";
}

export function getDisplayFormByIdentifier(
    displayForms: IAttributeDisplayForm[],
    identifier: string,
): IAttributeDisplayForm {
    return displayForms.find(displayForm => displayForm.meta.identifier === identifier);
}

export function getDisplayFormByUri(
    displayForms: IAttributeDisplayForm[],
    uri: string,
): IAttributeDisplayForm {
    return displayForms.find(displayForm => displayForm.meta.uri === uri);
}
