// (C) 2007-2019 GoodData Corporation
import { IMetadataObject } from "./MetadataObject";

export type ExpressionType = "SUM" | "MAX" | "MIN" | "AVG";

export interface IExpression {
    data: string;
    function?: ExpressionType;
    type: string;
}

export interface IFact extends IMetadataObject {
    content: {
        expr: IExpression[];
        folders?: string[];
    };
}

export interface IWrappedFact {
    fact: IFact;
}

export function isFact(object: IMetadataObject): object is IFact {
    return object.meta.category === "fact";
}
