// (C) 2007-2019 GoodData Corporation
import { IMetadataObject } from "./MetadataObject";

export interface IKpiAlert extends IMetadataObject {
    content: {
        kpi: string;
        dashboard: string;
        threshold: number;
        isTriggered: boolean;
        whenTriggered: "underThreshold" | "aboveThreshold";
        filterContext?: string;
    };
}

export interface IWrappedKpiAlert {
    kpiAlert: IKpiAlert;
}

export function isKpiAlert(object: IMetadataObject): object is IKpiAlert {
    return object.meta.category === "kpiAlert";
}
