// (C) 2007-2020 GoodData Corporation
import { IMetadataObject } from "./MetadataObject";
import { DrillDefinition } from "./DrillDefinition";
import { IgnoredDashboardFilterReference } from "./IgnoredDashboardFilterReference";

export type PossibleFilters = IDateFilterReference | IAttributeFilterReference;

export interface IAttributeFilterReference {
    attributeFilterReference: {
        displayForm: string;
    };
}

export interface IDateFilterReference {
    dateFilterReference: {
        dataSet: string;
    };
}

export interface IVisualizationWidget extends IMetadataObject {
    content: {
        visualization: string;
        dateDataSet: string;
        ignoreDashboardFilters: IgnoredDashboardFilterReference[];
        drills?: DrillDefinition[];
        properties?: string;
    };
}

export interface IWrappedVisualizationWidget {
    visualizationWidget: IVisualizationWidget;
}

export function isVisualizationWidget(object: IMetadataObject): object is IVisualizationWidget {
    return object.meta.category === "visualizationWidget";
}
