// (C) 2007-2021 GoodData Corporation
import { IDataSetsSelector } from "../../endpoints/bear/requests/DataSetsSelector";
import { IWrappedDateDataSet } from "../DateDataSet";

export interface ILoadDateDatasetsMock {
    request: ILoadDateDatasetsRequest;
    response: ILoadDateDatasetsResponse;
}

export interface ILoadDateDatasetsRequest {
    dateDataSetsRequest: {
        bucketItems?: string[];
        includeObjectsWithTags?: string[];
        excludeObjectsWithTags?: string[];
        includeAvailableDateAttributes?: boolean;
        includeUnavailableDateDataSetsCount: boolean;
        requiredDataSets?: IDataSetsSelector;
        includeDateGranularities?: string[];
    };
}

export interface ILoadDateDatasetsResponse {
    dateDataSetsResponse: {
        dateDataSets: IWrappedDateDataSet[];
        unavailableDateDataSetsCount?: number;
    };
}
