// (C) 2007-2019 GoodData Corporation
export const objectUri = (projectId: string, objectId: string) => `/gdc/md/${projectId}/obj/${objectId}`;

export const elementsUri = (projectId: string, attributeId: string) =>
    `${objectUri(projectId, attributeId)}/elements`;

export const elementUri = (projectId: string, attributeId: string, elementId: string) =>
    `${elementsUri(projectId, attributeId)}?id=${elementId}`;

export const dataUri = (projectId: string, factId: string) => `${objectUri(projectId, factId)}_data`;

export const projectUri = (projectId: string) => `/gdc/projects/${projectId}`;

export const profileUri = (profileId: string) => `/gdc/account/profile/${profileId}`;

export const loginStateUri = (profileId: string) => `/gdc/account/login/${profileId}`;

export const tabularResultUri = (projectId: string, executionId: string) =>
    `/gdc/internal/projects/${projectId}/experimental/executions/${executionId}`;

export const extendedTabularResultUri = (projectId: string, executionId: string) =>
    `/gdc/internal/projects/${projectId}/experimental/executions/extendedResults/${executionId}`;
