// (C) 2007-2019 GoodData Corporation
import { ISchema } from "../model/Schema";
import { IEndPoints } from "../../model/endPoints/EndPoints";
import { ISchemaEndPoints } from "../model/endPoints/SchemaEndPoints";
import { ILoadDateDatasetsMock } from "../../model/endPoints/LoadDateDatasets";

function createLoadDateDatasetsMocks(endPoints: ISchemaEndPoints): ILoadDateDatasetsMock[] {
    if (!endPoints || !endPoints.loadDateDatasetsMocks) {
        return [];
    }

    return endPoints.loadDateDatasetsMocks;
}

export function createEndPoints(schema: ISchema): IEndPoints {
    return {
        loadDateDatasetsMocks: createLoadDateDatasetsMocks(schema.endPoints),
    };
}
