// (C) 2007-2019 GoodData Corporation
import { IFeatureFlags } from "../../model/FeatureFlags";
import { ISchema } from "../model/Schema";

export function createFeatureFlags(schema: ISchema): IFeatureFlags {
    const defaultFeatureFlags = {
        oldHeader: false,
        enableCsvUploader: true,
        disableDefaultBulkUpload: true,
        mufTable: false,
        enableAnalyticalDashboardsVisualizations: true,
        enableIncrementalLoad: true,
        analyticalDesigner: true,
        enableAnalyticalDashboards: true,
        newNavigation: false,
    };

    if (schema.featureFlags) {
        return { ...defaultFeatureFlags, ...schema.featureFlags };
    }

    return defaultFeatureFlags;
}
