// (C) 2007-2019 GoodData Corporation
import { assign } from "lodash";
import { ISchemaProjectPermissions } from "../model/SchemaProjectPermissions";
import { DEFAULT_PROJECT_PERMISSIONS } from "../../constants/DefaultProjectPermissions";
import { IProjectPermissions } from "../../model/ProjectPermissions";
import { ISchema } from "../model/Schema";

export function createProjectPermissions(schema: ISchema): IProjectPermissions {
    const permissions: ISchemaProjectPermissions = schema.project.permissions;

    const permissionsWithStringTypedValues: IProjectPermissions = {};

    if (permissions) {
        Object.keys(permissions).forEach(key => {
            permissionsWithStringTypedValues[key] = permissions[key] ? "1" : "0";
        });
    }

    return assign({}, DEFAULT_PROJECT_PERMISSIONS, permissionsWithStringTypedValues);
}
