// (C) 2007-2021 GoodData Corporation
import { ISchema } from "../model/Schema";

export interface IStyleSettings {
    chartPalette: IColorPalette;
    chartFont?: IChartFont;
}

export interface IChartFont {
    family: string;
}

export type IColorPalette = IColorPaletteItem[];

export interface IColor {
    r: number;
    g: number;
    b: number;
}

export interface IColorPaletteItem {
    guid: string;
    fill: IColor;
}

export function createStyleSettings(schema: ISchema) {
    return schema.styleSettings;
}
