// (C) 2007-2019 GoodData Corporation
import { IUser } from "../../model/User";
import { ISchemaUser } from "../model/SchemaUser";
import { ISchema } from "../model/Schema";

const DEFAULT_USER: ISchemaUser = {
    identifier: "john-doe",
    email: "john.doe@gooddata.com",
};

function ensureUser(users: ISchemaUser[] = []): ISchemaUser[] {
    return users.length ? users : [DEFAULT_USER];
}

function createUser(user: ISchemaUser): IUser {
    return {
        identifier: user.identifier,
        companyName: "Birst",
        email: user.email || "john.doe@gooddata.com",
        firstName: "John",
        lastName: "Doe",
        login: user.email,
        phoneNumber: "123 123 123",
        position: null,
        separators: user.separators,
    };
}

export function createUsers(schema: ISchema): IUser[] {
    return ensureUser(schema.users).map(createUser);
}
