// (C) 2007-2019 GoodData Corporation
import { buildProject } from "../../builder";
import { schema } from "../../fixtures/dummySchema";

it("should build filter contexts", () => {
    expect(buildProject(schema).filterContexts).toEqual([
        {
            content: {
                filters: [
                    {
                        attributeFilter: {
                            attributeElements: [],
                            displayForm: "/gdc/md/mockproject/obj/fd_fc.df",
                            negativeSelection: true,
                        },
                    },
                    {
                        dateFilter: {
                            granularity: "GDC.time.year",
                            type: "relative",
                        },
                    },
                ],
            },
            meta: {
                identifier: "fd_fc",
                title: "FD FC",
                uri: "/gdc/md/mockproject/obj/fd_fc",
                category: "filterContext",
            },
        },
        {
            content: {
                filters: [
                    {
                        attributeFilter: {
                            attributeElements: [],
                            displayForm: "/gdc/md/mockproject/obj/sd_fc.df",
                            negativeSelection: false,
                        },
                    },
                    {
                        dateFilter: {
                            granularity: "GDC.time.week",
                            type: "relative",
                        },
                    },
                ],
            },
            meta: {
                identifier: "sd_fc",
                title: "SD FC",
                uri: "/gdc/md/mockproject/obj/sd_fc",
                category: "filterContext",
            },
        },
    ]);
});
