// (C) 2007-2019 GoodData Corporation
import { buildProject } from "../../builder";
import { schema } from "../../fixtures/dummySchema";

it("should build kpis", () => {
    expect(buildProject(schema).kpis).toEqual([
        {
            content: {
                comparisonType: "none",
                ignoreDashboardFilters: [],
                metric: "/gdc/md/mockproject/obj/simple_metric",
            },
            meta: {
                author: "/gdc/account/profile/john-doe",
                category: "kpi",
                deprecated: false,
                identifier: "fd_fkpi",
                locked: false,
                title: "FD FKPI",
                unlisted: false,
                uri: "/gdc/md/mockproject/obj/fd_fkpi",
            },
        },
        {
            content: {
                comparisonDirection: "growIsBad",
                comparisonType: "lastYear",
                ignoreDashboardFilters: [],
                metric: "/gdc/md/mockproject/obj/4321",
            },
            meta: {
                author: "/gdc/account/profile/john-doe",
                category: "kpi",
                deprecated: false,
                identifier: "fd_skpi",
                locked: false,
                title: "FD SKPI",
                unlisted: false,
                uri: "/gdc/md/mockproject/obj/fd_skpi",
            },
        },
        {
            content: {
                comparisonDirection: "growIsBad",
                comparisonType: "lastYear",
                ignoreDashboardFilters: [],
                metric: "/gdc/md/mockproject/obj/4321",
                dateDataSet: "/gdc/md/mockproject/obj/date.dataset",
            },
            meta: {
                author: "/gdc/account/profile/john-doe",
                category: "kpi",
                deprecated: false,
                identifier: "fd_skpi_date",
                locked: false,
                title: "FD SKPI Date",
                unlisted: false,
                uri: "/gdc/md/mockproject/obj/fd_skpi_date",
            },
        },
        {
            content: {
                comparisonDirection: "growIsGood",
                comparisonType: "previousPeriod",
                ignoreDashboardFilters: [],
                metric: "/gdc/md/mockproject/obj/4321",
            },
            meta: {
                author: "/gdc/account/profile/john-doe",
                category: "kpi",
                deprecated: false,
                identifier: "sd_fkpi",
                locked: false,
                title: "SD FKPI",
                unlisted: false,
                uri: "/gdc/md/mockproject/obj/sd_fkpi",
            },
        },
        {
            content: {
                comparisonType: "none",
                ignoreDashboardFilters: [],
                metric: "/gdc/md/mockproject/obj/simple_metric",
            },
            meta: {
                author: "/gdc/account/profile/john-doe",
                category: "kpi",
                deprecated: false,
                identifier: "overrides_title",
                locked: false,
                title: "SD SKPI",
                unlisted: false,
                uri: "/gdc/md/mockproject/obj/overrides_title",
            },
        },
    ]);
});
