// (C) 2019 GoodData Corporation
import { buildProject } from "../../builder";
import { IConfigSettingItem } from "../../../model/ProjectConfigs";
import { ISchema } from "../../model/Schema";
import { schema } from "../../fixtures/dummySchema";

it("should set default project configs", () => {
    expect(buildProject(schema).projectConfigs).toEqual([]);
});

it("should build project with more setting items", () => {
    const projectConfigs: IConfigSettingItem[] = [
        {
            settingItem: {
                key: "a",
                value: "b",
                source: "catalog",
                links: {
                    self: "/gdc/projects/mockproject/config/a",
                },
            },
        },
    ];
    const schemaWithProjectConfigs: ISchema = {
        ...schema,
        projectConfigs,
    };

    const project = buildProject(schemaWithProjectConfigs);
    expect(project.projectConfigs).toEqual(projectConfigs);
});
