// (C) 2019 GoodData Corporation
import { buildProject } from "../../builder";
import { IConfigSettingItem } from "../../../model/ProjectConfigs";
import { ISchema } from "../../model/Schema";
import { schema } from "../../fixtures/dummySchema";

it("should set default user configs", () => {
    expect(buildProject(schema).userConfigs).toEqual([]);
});

it("should build project with more user configs setting items", () => {
    const userConfigs: IConfigSettingItem[] = [
        {
            settingItem: {
                key: "platformEdition",
                value: "enterprise",
                source: "user",
                links: {
                    self: "/gdc/account/profile/john-doe/config/platformEdition",
                },
            },
        },
        {
            settingItem: {
                key: "enableAnalyticalDashboards",
                value: "true",
                source: "user",
                links: {
                    self: "/gdc/account/profile/john-doe/config/enableAnalyticalDashboards",
                },
            },
        },
    ];
    const schemaWithUserConfigs: ISchema = {
        ...schema,
        userConfigs,
    };

    const project = buildProject(schemaWithUserConfigs);
    expect(project.userConfigs).toEqual(userConfigs);
});
