// (C) 2007-2020 GoodData Corporation
import { buildProject } from "../../builder";
import { schema } from "../../fixtures/dummySchema";

it("should build visualization widgets", () => {
    expect(buildProject(schema).visualizationWidgets).toEqual([
        {
            content: {
                dateDataSet: "/gdc/md/mockproject/obj/date.dataset",
                ignoreDashboardFilters: [],
                visualization: "/gdc/md/mockproject/obj/my_visualization_a",
            },
            meta: {
                author: "/gdc/account/profile/john-doe",
                category: "visualizationWidget",
                identifier: "fd_fvw",
                title: "FD FVW",
                uri: "/gdc/md/mockproject/obj/fd_fvw",
            },
        },
        {
            content: {
                dateDataSet: "/gdc/md/mockproject/obj/date.dataset",
                ignoreDashboardFilters: [],
                visualization: "/gdc/md/mockproject/obj/my_visualization_b",
            },
            meta: {
                author: "/gdc/account/profile/john-doe",
                category: "visualizationWidget",
                identifier: "fd_svw",
                title: "FD SVW",
                uri: "/gdc/md/mockproject/obj/fd_svw",
            },
        },
        {
            content: {
                dateDataSet: "/gdc/md/mockproject/obj/date.dataset",
                ignoreDashboardFilters: [],
                visualization: "/gdc/md/mockproject/obj/my_visualization_a",
                properties: '{ "controls": {}}',
            },
            meta: {
                author: "/gdc/account/profile/john-doe",
                category: "visualizationWidget",
                identifier: "fd_fvw_with_properties",
                title: "FD FVW with properties",
                uri: "/gdc/md/mockproject/obj/fd_fvw_with_properties",
            },
        },
        {
            content: {
                dateDataSet: "/gdc/md/mockproject/obj/date.dataset",
                ignoreDashboardFilters: [
                    {
                        attributeFilterReference: {
                            displayForm: "attribute-displayForm-1",
                        },
                    },
                    {
                        dateFilterReference: {
                            dataSet: "date-dataSet-2",
                        },
                    },
                ],
                visualization: "/gdc/md/mockproject/obj/my_visualization_b",
            },
            meta: {
                author: "/gdc/account/profile/john-doe",
                category: "visualizationWidget",
                identifier: "sd_fvw",
                title: "SD FVW",
                uri: "/gdc/md/mockproject/obj/sd_fvw",
            },
        },
        {
            content: {
                dateDataSet: "/gdc/md/mockproject/obj/date.dataset",
                ignoreDashboardFilters: [],
                visualization: "/gdc/md/mockproject/obj/my_visualization_a",
            },
            meta: {
                author: "/gdc/account/profile/john-doe",
                category: "visualizationWidget",
                identifier: "sd_svw",
                title: "SD SVW",
                uri: "/gdc/md/mockproject/obj/sd_svw",
            },
        },
        {
            content: {
                dateDataSet: "/gdc/md/mockproject/obj/date.dataset",
                ignoreDashboardFilters: [],
                visualization: "/gdc/md/mockproject/obj/my_visualization_foo",
            },
            meta: {
                author: "/gdc/account/profile/john-doe",
                category: "visualizationWidget",
                identifier: "foo",
                title: "FOO",
                uri: "/gdc/md/mockproject/obj/foo",
            },
        },
        {
            content: {
                dateDataSet: "/gdc/md/mockproject/obj/date.dataset",
                ignoreDashboardFilters: [],
                visualization: "/gdc/md/mockproject/obj/my_visualization_foo_drill",
                drills: [
                    {
                        drillToVisualization: {
                            from: {
                                drillFromMeasure: {
                                    localIdentifier: "bbb",
                                },
                            },
                            target: "pop-up",
                            toVisualization: {
                                uri: "/gdc/md/mockproject/obj/sss",
                            },
                        },
                    },
                ],
            },
            meta: {
                author: "/gdc/account/profile/john-doe",
                category: "visualizationWidget",
                identifier: "foo_drill",
                title: "FOO_drill",
                uri: "/gdc/md/mockproject/obj/foo_drill",
            },
        },
    ]);
});
