// (C) 2019 GoodData Corporation
import { ExtendedDateFilters } from "@gooddata/typings";

interface IDateFilterSchemaBase {
    localIdentifier: string;
    name: string;
    visible: boolean;
}

export type IDateFilterAllTimeSchema = IDateFilterSchemaBase;

export type IDateFilterAbsoluteFormSchema = IDateFilterSchemaBase;

export interface IDateFilterRelativeFormSchema extends IDateFilterSchemaBase {
    granularities: ExtendedDateFilters.DateFilterGranularity[];
}

export interface IDateFilterAbsolutePresetSchema extends IDateFilterSchemaBase {
    from: string;
    to: string;
}

export interface IDateFilterRelativePresetSchema extends IDateFilterSchemaBase {
    from: number;
    to: number;
    granularity: ExtendedDateFilters.DateFilterGranularity;
}

export interface IDateFilterConfigSchema {
    selectedOption: string;
    allTime?: IDateFilterAllTimeSchema;
    absoluteForm?: IDateFilterAbsoluteFormSchema;
    relativeForm?: IDateFilterRelativeFormSchema;
    absolutePresets?: IDateFilterAbsolutePresetSchema[];
    relativePresets?: IDateFilterRelativePresetSchema[];
    title: string;
    identifier: string;
}

export interface IDashboardAddedPresetsSchema {
    absolutePresets?: IDateFilterAbsolutePresetSchema[];
    relativePresets?: IDateFilterRelativePresetSchema[];
}

export interface IDashboardDateFilterConfigSchema {
    filterName: string;
    mode: "readonly" | "hidden" | "active";
    hideOptions?: string[];
    hideGranularities?: ExtendedDateFilters.DateFilterGranularity[];
    addPresets?: IDashboardAddedPresetsSchema;
}
