// (C) 2007-2019 GoodData Corporation
export interface ISchemaCategory {
    identifier: string;
    type: "attribute" | "date";
    collection: "attribute" | "view" | "stack" | "trend" | "segment";
}

export interface ISchemaMeasure {
    measureFilters?: ISchemaFilter[];
    type: "metric" | "fact" | "attribute";
    identifier: string;
    showInPercent?: boolean;
    showPoP?: boolean;
    sort?: "asc" | "desc";
    title: string;
}

export interface ISchemaFilter {
    // common properties
    type: "attribute" | "date";
    identifier: string;

    // date related properties
    relative?: boolean;
    from?: number | string;
    to?: number | string;
    granularity?: string;
    dataset?: string;

    // attribute related properties
    negative?: boolean;
    elements?: number[];
}

export interface ISchemaVisualization {
    title: string;
    identifier?: string;
    type?: "table" | "bar" | "column" | "line" | "pie";
    author?: string;
    categories?: ISchemaCategory[];
    measures?: ISchemaMeasure[];
    filters?: ISchemaFilter[];
}
