declare const _default: "<!DOCTYPE html>\n<html lang=\"en\">\n<head>\n    <meta charset=\"UTF-8\">\n    <title>Execution mock builder</title>\n    <style>\n        /*!\n         * Generated using the Bootstrap Customizer (https://getbootstrap.com/docs/3.4/customize/)\n         */\n        /*!\n         * Bootstrap v3.4.1 (https://getbootstrap.com/)\n         * Copyright 2011-2019 Twitter, Inc.\n         * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)\n         */\n        /*! normalize.css v3.0.3 | MIT License | github.com/necolas/normalize.css */\n\n        html {\n            font-family: sans-serif;\n        }\n\n        body {\n            padding: 2rem;\n        }\n\n        label {\n            font-weight: bold;\n            font-size: 1rem;\n        }\n\n        .panel {\n            float: left;\n            margin: 1rem;\n        }\n\n        .btn {\n            display: inline-block;\n            margin-bottom: 0;\n            font-weight: normal;\n            text-align: center;\n            white-space: nowrap;\n            vertical-align: middle;\n            cursor: pointer;\n            padding: 6px 12px;\n            font-size: 14px;\n            line-height: 1.42857143;\n            border-radius: 4px;\n            user-select: none;\n            color: #ffffff;\n            background-color: #5cb85c;\n            border-color: #4cae4c;\n            width: 125px;\n            margin-top: 2rem;\n        }\n\n        .btn:focus {\n            outline-offset: -2px;\n            background-color: #449d44;\n            border-color: #255625;\n        }\n\n        .btn:hover {\n            background-color: #449d44;\n            border-color: #398439;\n        }\n\n        .btn:active:hover {\n            background-color: #398439;\n            border-color: #255625;\n        }\n\n        input,\n        textarea {\n            display: block;\n            padding: 6px 12px;\n            font-size: 10px;\n            line-height: 1.42857143;\n            color: #555555;\n            background-color: #ffffff;\n            background-image: none;\n            border: 1px solid #cccccc;\n            border-radius: 4px;\n            box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);\n            transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;\n            margin-top: .5rem;\n        }\n\n        input {\n            height: 20px;\n            margin-bottom: 1rem;\n            width: 100px;\n        }\n\n        textarea {\n            width: 400px;\n            height: 300px;\n        }\n\n    </style>\n</head>\n<body>\n<div class=\"panel\">\n    <label for=\"execution\">Execution request</label>\n    <textarea id=\"execution\"></textarea>\n</div>\n<div class=\"panel\">\n    <label for=\"response\">Execution response</label>\n    <textarea id=\"response\"></textarea>\n</div>\n<div class=\"panel\">\n    <label for=\"result\">Execution result</label>\n    <textarea id=\"result\"></textarea>\n</div>\n<div class=\"panel\">\n    <label for=\"mock\">Resulting mock for <em>mock.setup.js</em></label>\n    <textarea id=\"mock\"></textarea>\n</div>\n<div class=\"panel\">\n    <label for=\"project\">Project ID</label>\n    <input type=\"text\" id=\"project\" value=\"mockproject\" />\n    <label for=\"group\">Group index</label>\n    <input type=\"number\" id=\"group\" value=\"0\" />\n    <button type=\"button\" class=\"btn\" onclick=\"buildMock()\">Build</button>\n</div>\n<script>\n\n    function toJs(json) {\n        return JSON.parse(json);\n    }\n\n    function readAndFormatTextarea(textareaId) {\n        const textarea = document.getElementById(textareaId);\n        const value = toJs(textarea.value || null);\n\n        textarea.value = JSON.stringify(value, null, 2);\n\n        return value;\n    }\n\n    function buildMock() {\n        const projectId = document.getElementById('project').value;\n        const groupIndex = document.getElementById('group').value;\n\n        const execution = readAndFormatTextarea('execution');\n        const executionResponse = readAndFormatTextarea('response');\n        const executionResult = readAndFormatTextarea('result');\n\n        const mock = {\n            execution,\n            executionResponse,\n            executionResult\n        };\n\n        const xhr = new XMLHttpRequest();\n        xhr.open(\"POST\", '/mock-builder/' + projectId + '/' + groupIndex, true);\n        xhr.setRequestHeader(\"Content-Type\", \"application/json\");\n        xhr.onreadystatechange = function () { // Call a function when the state changes.\n            if (this.readyState === XMLHttpRequest.DONE && this.status === 200) {\n                document.getElementById('mock').value = xhr.responseText;\n            }\n        };\n        xhr.send(JSON.stringify(mock));\n    }\n</script>\n</body>\n</html>\n";
export default _default;
